import request from '@/utils/request'

// 查询身份认证列表
export function listOrderinfo(query) {
  return request({
    url: '/orderinfo/orderinfo/list',
    method: 'get',
    params: query
  })
}

// 查询身份认证详细
export function getOrderinfo(orderId) {
  return request({
    url: '/orderinfo/orderinfo/' + orderId,
    method: 'get'
  })
}

// 新增身份认证
export function addOrderinfo(data) {
  return request({
    url: '/orderinfo/orderinfo',
    method: 'post',
    data: data
  })
}

// 修改身份认证
export function updateOrderinfo(data) {
  return request({
    url: '/orderinfo/orderinfo',
    method: 'put',
    data: data
  })
}

// 删除身份认证
export function delOrderinfo(orderId) {
  return request({
    url: '/orderinfo/orderinfo/' + orderId,
    method: 'delete'
  })
}

// 导出身份认证
export function exportOrderinfo(query) {
  return request({
    url: '/orderinfo/orderinfo/export',
    method: 'get',
    params: query
  })
}
// 明细列表
export function getDetailed(orderId) {
  return request({
    url: '/hj/detailed/getList?orderId='+orderId,
    method: 'get',
  })
}
